.calculator {
  display: flex;
  flex-direction: column;
  width: 350px;
  margin: 10px;
  border: 1px solid #ccc;
  border-radius: 15px;
  background-color: #F0C0FF;
}

.display {

  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: 10px;
  margin-left: 30px;
  margin-right: 30px;
  margin-top: 30px;
}

.buttons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding: 20px;
}

button {
  padding: 20px;
  background-color: #8D918D;
  border: 1px solid #ccc;
  border-radius: 10px;
  cursor: pointer;
  margin: 10px;
  font-size: 18px;
  font-weight: bold;
}

button:hover {
  background-color: #d9d9d9;
}

button:active {
  background-color: #bfbfbf;
}

#result {
  margin: 0;
  font-size: 24px;
  font-weight: bold;
}
